Subject: [bess] A couple of questions regarding draft-ietf-bess-inter-subnet-forwrding-05

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 13 Sep 2018 11:17:57 +0000

Dear colleagues,
I would like to clarify a couple of points regarding extended communities mentioned in Section 3.2.1 of the draft .

1.       This section says that the MAC.IP Advertisement EVPN route learned from ARP by the ingress is advertised along with the following two extended   communities:

a.       Tunnel Type Extended Community

b.       Router's MAC Extended Community
I have tried to find the Tunnel Type Extended Community in the relevant IANA registries, but failed to do so. Did you actually mean the BGP Encapsulation Extended Community (RFC 5512<https://tools.ietf.org/html/rfc5512>) that carries the Tunnel Type inside and can be used instead of the BGP Tunnel Encapsulation Attribute (defined in the same document) if there is no explicit encapsulation information to be signaled?

2.       RFC 8365 that extends the list of tunnel types that can be carried in the BGP Tunnel Encapsulation Attribute or in the BGP Encapsulation Extended Community to include MPLS encapsulation states in Section 5.1.3 that ""The MPLS encapsulation tunnel type ... is needed in order to distinguish between an advertising node that only supports non-MPLS encapsulations and one that supports MPLS and non-MPLS encapsulations.  An advertising node that only supports MPLS  encapsulation does not need to  advertise any encapsulation tunnel types". Does this imply that if Symmetric IRB is used in EVPN-MPLS, there is  no need to attach the BGP Encapsulation Extended Community to the MAC/IP Advertisement routes learned by the ingress PE? (Since the draft explicitly states that the Router's MAC Extended Community is not required in certain situations that include EVPM-MPLS, this would mean that neither of the extended communities mentioned in the draft is required in the EVPN-MPLS scenario).

Your timely feedback will be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________